package cn.wisenergy.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Authotr:陈奇
 * @QQ1799796883
 */

@Data
@ApiModel(value="ExamineGroupbyProjectDto", description="待审核通过项目分组类")
public class ExamineGroupbyProjectDto {

    @TableId(value = "work_id", type = IdType.AUTO)
    private Integer workId;

    @ApiModelProperty(name = "projectId",value = "项目id")
    private Integer projectId;

    @ApiModelProperty(name = "projectName",value = "项目名称")
    private String projectName;

    @ApiModelProperty(name = "userName",value = "用户名")
    private String userName;

    @ApiModelProperty(name = "workTime",value = "工时（整数）")
    private Integer workTime;

    @ApiModelProperty(name = "workDay",value = "工单日期")
    private Date workDay;

    @ApiModelProperty(name = "isOvertime",value = "工时类型：0:正常工时，1：加班")
    private Integer isOvertime;

    @ApiModelProperty(name = "status",value = "工单审核状态 1：已填报，2：已审批，3：被驳回  4:重新提交  5：自动审核")
    private Integer status;

    @ApiModelProperty(name = "des",value = "工作内容")
    private String des;

}
